• Register
Description

Highlights are already up, this is the release proper. The checksum for this release is IEOI, it won't be save game compatible and you can find the full changelog below. One more thing - if you want bleeding-edge versions or just fork the mod, there's (finally) a github in. Check the full description for the link. That's it, onwards to the long wait!

Preview
Historical Project Mod Version 0.4.5
Comments
Guest
Guest

yay! that was quick! From now on we shall consider unacceptable anything longer than ten days between releases.

Just kidding. thank you for the good work!

where are the patch notes by the way?

Reply Good karma Bad karma+1 vote
arkhometha Author
arkhometha

Sorry about that, Moddb seems to be screwing with me. I added the full changelog to the full description.

Reply Good karma+2 votes
Guest
Guest

no problem, thank you!
Incidentally, the new version seems to run much slower than the previous one. You may want to wait for someone else's confirmation but I think that's very much the case.

Reply Good karma Bad karma+2 votes
Guest
Guest

Not only that, but the game crashes every now and then. I don't think I'd ever had a crash with this mod before.
If it's of any help, I can provide save files with repeatable crashes, both in the middle of a war against Qing. One of them crashes before loading, the other shortly afterwards.

Other than that, I am thoroughly enjoying the new government mechanics. Cheers

Reply Good karma Bad karma+1 vote
arkhometha Author
arkhometha

What I need to know is your checksum - I tested and it doesn't seem significantly slower and none of my games ended in crashes.

Reply Good karma+2 votes
Guest
Guest

My checksum is BMAF. Did a clean re-install and still got the same checksum. It should be IEOI, right?
Playing with the 3.04 beta.

Reply Good karma Bad karma0 votes
arkhometha Author
arkhometha

Yes it should. There's something wrong there and I don't have a way of knowing what it is - it's either a corruption when you downloaded the mod or something in the game files.
The 3.04 update is out of beta. Download the non-beta version. Check if the vanilla checksum is WNUV. If it is, delete the HPM mod folder, re-download the mod and unpack it.
It's a good idea to do "clean" installs (removing the old HPM folder before unpacking a new one).

Reply Good karma+1 vote
Guest
Guest

I did everything you said, several times. My vanilla checksum is indeed WNUV, but with 0.4.5.2 it's LSBY instead of EANV.
I'm sorry for all the trouble and thank you for your help

Reply Good karma Bad karma+1 vote
Grant4455
Grant4455

I get the same issue for both Versions, so you're not alone here.

Reply Good karma Bad karma+1 vote
bilkins21
bilkins21

Me too, I was the guest you replied to on the other thread for the later hotfix. I'm wondering if it's an issue related to people using the Steam version maybe? I'm wondering if the beta isn't installing properly on Steam perhaps.

Reply Good karma Bad karma+1 vote
IncogMLR
IncogMLR

The Victoria 2 adventure continues <3

Reply Good karma Bad karma+1 vote
Eric89
Eric89

I have the newest Github Version and on secound day i become a Minister Event and my game crashed...

Im very like this Mod and im very happy over this new version, thanks for yor work.

Reply Good karma Bad karma+1 vote
arkhometha Author
arkhometha

You definitively shouldn't get any of that. The event or the crash. Guarantee your vanilla checksum is WNUV, delete the HPM folder and re-download the mod.

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Tags

Historical Project Mod Version 0.4.5 has not been tagged yet.